Bug 1227264 (CVE-2015-4050) - CVE-2015-4050 php-symfony: ESI unauthorized access
Summary: CVE-2015-4050 php-symfony: ESI unauthorized access
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2015-4050
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20150527,repo...
Depends On: 1227265 1227266 1227267
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-02 09:28 UTC by Martin Prpič
Modified: 2019-06-08 20:37 UTC (History)
4 users (show)

Fixed In Version: symfony 2.3.29, symfony 2.5.12, symfony 2.6.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-20 12:21:24 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-06-02 09:28:57 UTC
The following flaw was found in Symfony, a PHP framework for web projects:

Applications with ESI or SSI support enabled, that use the FragmentListener, are vulnerable to unauthorized access. A malicious user can call any controller via the /_fragment path by providing an invalid hash in the URL (or removing it), bypassing URL signing and security rules.

FragmentListener throws an AccessDeniedHttpException in case URL is not signed correctly. However, the ExceptionListener triggers kernel events again by making a sub-request. Since the FragmentListener does no signing for sub-requests, the controller is called even though the original request was forbidden. As a result the user receives a 403 response with content generated by the controller.

This issue is fixed in Symfony 2.3.29, 2.5.12, and 2.6.8.

Upstream patch:

https://github.com/fabpot/symfony/commit/d320d27699abcea12479cf608908fa91bcc133d4

External References:

http://symfony.com/blog/cve-2015-4050-esi-unauthorized-access

Comment 1 Martin Prpič 2015-06-02 09:29:34 UTC
Created php-symfony tracking bugs for this issue:

Affects: fedora-all [bug 1227265]
Affects: epel-6 [bug 1227266]
Affects: epel-7 [bug 1227267]

Comment 2 Fedora Update System 2015-06-05 23:49:48 UTC
php-symfony-2.5.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-06-06 00:04:14 UTC
php-symfony-2.5.12-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-06-06 00:05:32 UTC
php-symfony-2.5.12-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-06-18 18:34:08 UTC
php-symfony-2.5.12-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-07-08 17:04:02 UTC
php-symfony-2.3.30-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Shawn Iwinski 2015-07-20 01:58:32 UTC
All dependent bugs have been closed, can this tracking bug be closed as well?

Comment 8 Martin Prpič 2015-07-20 12:21:24 UTC
(In reply to Shawn Iwinski from comment #7)
> All dependent bugs have been closed, can this tracking bug be closed as well?

Definitely!


Note You need to log in before you can comment on or make changes to this bug.